| Cantera 3.0.0

Loading...
Searching...
No Matches
Namespaces | Functions
Func1Factory.cpp File Reference
`#include "cantera/numerics/Func1Factory.h"`
Include dependency graph for Func1Factory.cpp:

Go to the source code of this file.

## Namespaces
namespace | Cantera
| Namespace for the Cantera kernel.

## Functions
shared_ptr< Func1 > | newFunc1 (const string &func1Type, double coeff=1.)
| Create a new simple functor object (see Simple Functors).
shared_ptr< Func1 > | newFunc1 (const string &func1Type, const vector< double > &params)
| Create a new advanced functor object (see Advanced Functors).
shared_ptr< Func1 > | newFunc1 (const string &func1Type, const shared_ptr< Func1 > f1, const shared_ptr< Func1 > f2)
| Create a new compound functor object (see Compound Functors).
shared_ptr< Func1 > | newFunc1 (const string &func1Type, const shared_ptr< Func1 > f, double coeff)
| Create a new modified functor object (see Modified Functors).